from machine import Pin, I2C, PWM, ADC
import ssd1306
import time

adc = ADC(0)

i2c = I2C(scl=Pin(5), sda=Pin(4))
oled = ssd1306.SSD1306_I2C(128,64,i2c)
beeper=PWM(Pin(15), freq = 100, duty = 512)
led = PWM(Pin(12), freq = 100, duty = 512) #dla brzęczyka
oled.fill(0)
frRef = 0

while True:
    
    frbuzz = (((adc.read())/1024)*900)+100 #obliczanie częstotliwości dla brzęczyka
    
    if(frbuzz != frRef):
        beeper.freq(int(frbuzz))
        led.freq(int(frbuzz)) #dla brzęczyka
        oled.fill(0)
        oled.text('czestotliwosc:', 10, 20, 1)
        if (frbuzz >= 1000):
            oled.text(str(int(frbuzz)),40, 30, 1)
            oled.text('Hz',75,30,1)
        else:
            oled.text(str(int(frbuzz)),45, 30, 1)
            oled.text('Hz',75,30,1)
        oled.show()